<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านการดำเนินการ (Operation)</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านการดำเนินการตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark">
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">

  <!-- ----------------------------------------- รายละเอียดในแต่ละกระบวนการ  เเก้ไข -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        </div>
        <div class="flex-shrink-1 bd-highlight">
          <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
            เพิ่มข้อมูล</button>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>

    <div class="col-12">
      <div cdkDropListGroup class="overflow-auto">
        <table class="table-proccess table table-striped">
          <thead>
            <tr>
              <th width="18%" style="text-align: center;">กระบวนการ</th>
              <th width="18%" style="text-align: center;">กระบวนการย่อย </th>
              <th width="18%" style="text-align: center;">แนวทางการจัดการ</th>
              <th width="18%" style="text-align: center;">ผู้รับผิดชอบ</th>
              <th width="18%" style="text-align: center;">วันที่คาดว่าจะแล้วเสร็จ</th>
              <th width="5%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepFive.operations; index as istep">
              <td style="width: 18%;">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.process }}
                </div>
                <ng-template #notStaticType>
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
                    style="resize: vertical;width:100%;outline: 0px solid transparent;" type="text"
                    id="textprocess1{{istep}}" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.process"
                    (ngModelChange)="changeSaveDraft()" name="textprocess1" required></textarea>
                </ng-template>
              </td>
              <td colspan="5" class="pd-0">
                <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.detail"
                  (cdkDropListDropped)="drop($event)" (cdkDropListEntered)="entered($event)"
                  (cdkDropListExited)="dragExited($event)">
                  <tr *ngFor="let detailItem of item.detail; index as isup" [cdkDragData]="detailItem"
                    (cdkDragStarted)="startDrag($event,istep)" cdkDrag>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
                        style="resize: vertical;width:100%;outline: 0px solid transparent;" type="text"
                        id="textprocess2{{istep}}" placeholder="ระบุกระบวนการย่อย" [(ngModel)]="detailItem.subProcess"
                        (ngModelChange)="changeSaveDraft()" name="textprocess2" required></textarea>
                    </td>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
                        style="resize: vertical;width:100%;outline: 0px solid transparent;" type="text"
                        id="textprocess3{{istep}}" placeholder="ระบุแนวทางการจัดการ" [(ngModel)]="detailItem.management"
                        (ngModelChange)="changeSaveDraft()" name="textprocess3" required></textarea>
                    </td>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <textarea appTextareaAutoresize autocomplete="off" class="form-control example"
                        style="resize: vertical;width:100%;outline: 0px solid transparent;" type="text"
                        id="textprocess4{{istep}}" placeholder="ระบุผู้รับผิดชอบ" [(ngModel)]="detailItem.responsible"
                        (ngModelChange)="changeSaveDraft()" name="textprocess4" required></textarea>
                    </td>
                    <td style="width: 18%;" [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <div class="icon-warpper1">
                          <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()"> -->
                        </div>
                        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.dueDate"
                          (ngModelChange)="changeSaveDraft()" class="form-control" placeholder="กรุณาเลือกวันที่"
                          [options]="myDpOptions" #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" /> -->
                        <div *ngIf="detailItem.dueDate; else notDueDate">
                          <app-date
                            [datepicker_input]="{ role: null , dateData: detailItem.dueDate, index: null, page: 'step5-show' }"
                            (DateChange)="detailItem.dueDate = changeDate($event)"></app-date>
                        </div>
                        <ng-template #notDueDate>
                          <app-date
                            [datepicker_input]="{ role: null , dateData: null, index: null, page: 'step5-show' }"
                            (DateChange)="detailItem.dueDate = changeDate($event)"></app-date>
                        </ng-template>
                      </div>
                    </td>
                    <td style=" width: 5% ; text-align: center; vertical-align: middle;"><span class="delete-data"
                        (click)="removeDataItem(istep , isup)">ลบข้อมูล</span></td>
                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>

    <div class="col-12 d-flex justify-content-end mt-1">
      <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon">
        เพิ่มข้อมูล</button>
    </div>
  </div>

  <!-- ----------------------------------------- รายละเอียดในแต่ละกระบวนการ -------------------------------------------------- -->
  <!-- <div class="row">
    <div class="col-12">
      <div class="d-flex justify-content-between align-items-center">
        <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        <button class="btn-create-data"><img src="assets/img/plus-icon.png" class="add-icon" alt="" (click)="addRow()">
          เพิ่มข้อมูล</button>
      </div>
      <hr>
    </div>
    <div class="col-12" cdkDropListGroup>
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th width="18%">กระบวนการ</th>
            <th width="18%">กระบวนการย่อย </th>
            <th width="18%">แนวทางการจัดการ</th>
            <th width="18%">ผู้รับผิดชอบ</th>
            <th width="18%">วันที่คาดว่าจะแล้วเสร็จ</th>
            <th width="10%"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of stepFive.operations; index as istep">
            <td style="width:18%">{{ item.process}}</td>
            <td colspan="5" class="pd-0">
              <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.detail"
                (cdkDropListDropped)="drop($event)">
                <tr *ngFor="let detailItem of item.detail; index as isup" [cdkDragData]="detailItem" cdkDrag>
                  <td style="width:18%">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""><input type="text"
                      class="form-control" [(ngModel)]="detailItem.subProcess">
                  </td>
                  <td style="width:18%"><input type="text" class="form-control"
                      [(ngModel)]="detailItem.management">
                  </td>
                  <td style="width:18%"><input type="text" class="form-control"
                      [(ngModel)]="detailItem.responsible">
                  </td>
                  <td style="width:18%">
                    <div class="input-warpper">
                      <div class="icon-warpper1">
                        <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                      </div>
                      <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.dueDate"
                        class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions"
                        #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" />
                    </div>
                  </td>
                  <td style="width:10%"><span class="delete-data" (click)="removeDataItem(istep , isup)">ลบข้อมูล</span>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
      <table class="table-proccess table table-striped">
        <tr *ngFor="let item of addData.operations; index as i">
          <td width="18%">
            <input type="text" class="form-control" [(ngModel)]="item.processTitle">
          </td>
          <td colspan="5" class="pd-0">
            <table class="table-proccess-data new" cdkDropList [cdkDropListData]="item.detail"
              (cdkDropListDropped)="dropAdd($event)" (cdkDropListEntered)="entered($event)"
              (cdkDropListExited)="dragExited($event,i)" [cdkDropListEnterPredicate]="noReturnPredicate">
              <tr *ngFor="let detailItem of item.detail; index as ia" cdkDrag [cdkDragData]="detailItem"
                [cdkDragDisabled]="item.processTitle.length > 0">
                <td width="18%">
                  <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""><input type="text"
                    class="form-control" [(ngModel)]="detailItem.subProcessTitle">
                </td>
                <td width="18%"><input type="text" class="form-control" [(ngModel)]="detailItem.managementMethod">
                </td>
                <td width="18%"><input type="text" class="form-control" [(ngModel)]="detailItem.responsiblePerson">
                </td>
                <td width="18%">
                  <div class="input-warpper">
                    <div class="icon-warpper1">
                      <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                    </div>
                    <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.date"
                      class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions"
                      #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" />
                  </div>
                </td>
                <td width="10%"><span class="delete-data" (click)="removeAddItem(i)">ลบข้อมูล</span></td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon" alt="">
        เพิ่มข้อมูล</button>
    </div>

  </div>
  <br> -->

  <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <div class="typeofcollateral">
      <p class="head-detal">อัปโหลดเอกสาร</p>
      <div class="dropzone">
        <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
          accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.png" />
        <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
        <a style="font-size: 18px; color: #00a6e6;"
          for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
      </div>
    </div>
    <br />
    <div class="row">
      <div class="col-12 table_files">
        <table mat-table [dataSource]="dataSource_file">
          <!-- Position Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 24px;">{{ element.fileName }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="size">
            <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
            <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let index = index">
              <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
              <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
              <a class="pipe">|</a>
              <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
        </table>
      </div>
    </div>
    <br>
  </div>

  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <!-- <div id="myModal" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
          title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
      </div>
      <br>
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
              [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
              (click)="modalmainImageIndex = i">
          </div>
        </div>
      </div>
    </div>

  </div> -->
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br> <br> <br> <br>
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">ถัดไป</button>
      </div>
    </div>
    <br> <br>
  </div>
</div>
<!------------------------------------------------- validate === true ------------------------------------------------>


<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">

  <!-- ----------------------------------------- รายละเอียดในแต่ละกระบวนการ  เเก้ไข -------------------------------------------------- -->
  <div class="row">
    <div class="col-12">
      <div class="d-flex bd-highlight">
        <div class="w-100 bd-highlight">
          <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        </div>
      </div>
    </div>
    <div class="col-12">
      <hr style="margin-top: 0px;margin-bottom: 10px;">
    </div>

    <div class="col-12">
      <div class="overflow-auto">
        <table class="table-proccess table table-striped">
          <thead>
            <tr>
              <th width="18%" style="text-align: center;">กระบวนการ</th>
              <th width="18%" style="text-align: center;">กระบวนการย่อย </th>
              <th width="18%" style="text-align: center;">แนวทางการจัดการ</th>
              <th width="18%" style="text-align: center;">ผู้รับผิดชอบ</th>
              <th width="18%" style="text-align: center;">วันที่คาดว่าจะแล้วเสร็จ</th>
              <!-- <th width="10%"></th> -->
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of stepFive.operations; index as istep">
              <td style="width: 18%; word-break: break-all">
                <div *ngIf="checkStaticTitle(istep); else notStaticType">
                  {{ item.process }}
                </div>
                <ng-template #notStaticType>
                  {{item.process}}
                </ng-template>
              </td>
              <td colspan="5" class="pd-0">
                <table class="table-proccess-data">
                  <tr *ngFor="let detailItem of item.detail; index as isup">
                    <td style="width: 18%; word-break: break-all"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.subProcess}}
                    </td>
                    <td style="width: 18%; word-break: break-all"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.management}}
                    </td>
                    <td style="width: 18%; word-break: break-all;text-align: center;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      {{detailItem.responsible}}
                    </td>
                    <td style="width: 18%; word-break: break-all;text-align: center;"
                      [ngClass]="{'td_single': (istep%2) !== 0,'td_couple': (istep%2) === 0}">
                      <div class="input-warpper">
                        <div *ngIf="detailItem.dueDate">
                          <!-- {{dateFormat(detailItem.dueDate)}} -->
                          <div *ngIf="validate == true">
                            <app-date
                              [datepicker_input]="{ role: null , dateData: detailItem.dueDate, index: null, page: 'step5-show' }"
                              (DateChange)="detailItem.dueDate = changeDate($event)"></app-date>
                          </div>

                          <div *ngIf="validate == false">
                            {{dateFormat(detailItem.dueDate)}}
                          </div>
                        </div>
                      </div>
                  </tr>
                </table>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <br><br>
  <div class="row">
    <div class="col-12 table_files">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element" style="padding-left: 24px;">{{ element.fileName }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
    </div>
  </div>
  <br>

  <!-- ----------------------------------------- รายละเอียดในแต่ละกระบวนการ -------------------------------------------------- -->
  <!-- <div class="row">
    <div class="col-12">
      <div class="d-flex justify-content-between align-items-center">
        <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
        <button class="btn-create-data"><img src="assets/img/plus-icon.png" class="add-icon" alt="" (click)="addRow()">
          เพิ่มข้อมูล</button>
      </div>
      <hr>
    </div>
    <div class="col-12" cdkDropListGroup>
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th width="18%">กระบวนการ</th>
            <th width="18%">กระบวนการย่อย </th>
            <th width="18%">แนวทางการจัดการ</th>
            <th width="18%">ผู้รับผิดชอบ</th>
            <th width="18%">วันที่คาดว่าจะแล้วเสร็จ</th>
            <th width="10%"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of stepFive.operations; index as istep">
            <td style="width:18%">{{ item.process}}</td>
            <td colspan="5" class="pd-0">
              <table class="table-proccess-data" cdkDropList [cdkDropListData]="item.detail"
                (cdkDropListDropped)="drop($event)">
                <tr *ngFor="let detailItem of item.detail; index as isup" [cdkDragData]="detailItem" cdkDrag>
                  <td style="width:18%">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""><input type="text"
                      class="form-control" [(ngModel)]="detailItem.subProcess">
                  </td>
                  <td style="width:18%"><input type="text" class="form-control"
                      [(ngModel)]="detailItem.management">
                  </td>
                  <td style="width:18%"><input type="text" class="form-control"
                      [(ngModel)]="detailItem.responsible">
                  </td>
                  <td style="width:18%">
                    <div class="input-warpper">
                      <div class="icon-warpper1">
                        <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                      </div>
                      <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.dueDate"
                        class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions"
                        #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" />
                    </div>
                  </td>
                  <td style="width:10%"><span class="delete-data" (click)="removeDataItem(istep , isup)">ลบข้อมูล</span>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </tbody>
      </table>
      <table class="table-proccess table table-striped">
        <tr *ngFor="let item of addData.operations; index as i">
          <td width="18%">
            <input type="text" class="form-control" [(ngModel)]="item.processTitle">
          </td>
          <td colspan="5" class="pd-0">
            <table class="table-proccess-data new" cdkDropList [cdkDropListData]="item.detail"
              (cdkDropListDropped)="dropAdd($event)" (cdkDropListEntered)="entered($event)"
              (cdkDropListExited)="dragExited($event,i)" [cdkDropListEnterPredicate]="noReturnPredicate">
              <tr *ngFor="let detailItem of item.detail; index as ia" cdkDrag [cdkDragData]="detailItem"
                [cdkDragDisabled]="item.processTitle.length > 0">
                <td width="18%">
                  <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""><input type="text"
                    class="form-control" [(ngModel)]="detailItem.subProcessTitle">
                </td>
                <td width="18%"><input type="text" class="form-control" [(ngModel)]="detailItem.managementMethod">
                </td>
                <td width="18%"><input type="text" class="form-control" [(ngModel)]="detailItem.responsiblePerson">
                </td>
                <td width="18%">
                  <div class="input-warpper">
                    <div class="icon-warpper1">
                      <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()">
                    </div>
                    <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="detailItem.date"
                      class="form-control" placeholder="กรุณาเลือกวันที่" [options]="myDpOptions"
                      #dp="angular-mydatepicker" (click)="dp.toggleCalendar()" />
                  </div>
                </td>
                <td width="10%"><span class="delete-data" (click)="removeAddItem(i)">ลบข้อมูล</span></td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button class="btn-create-data" (click)="addRow()"><img src="assets/img/plus-icon.png" class="add-icon" alt="">
        เพิ่มข้อมูล</button>
    </div>

  </div>
  <br> -->


  <!--------------------------------------------------- The Modal -------------------------------------------------------- -->
  <!-- <div id="myModal" class="modal">
    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png"></span>
    <div style="justify-content: center;">
      <div class="modal-content" *ngIf="showModel">
        <img src="{{modalImage[modalmainImageIndex]}}" alt="{{modalImagedetail[modalmainImageIndex].name}}"
          title="{{modalImagedetail[modalmainImageIndex].name}}" class="modal-image">
      </div>
      <br>
      <div>
        <div class="d-flex modal-image-detail" *ngIf="showModel">
          <div *ngFor="let item of modalImage; index as i">
            <img src="{{modalImage[i]}}" alt="{{modalImagedetail[i].name}}" title="{{modalImagedetail[i].name}}"
              [ngClass]="{'modal-image-gallery': i !== modalmainImageIndex, 'modal-image-gallery-select':  i === modalmainImageIndex}"
              (click)="modalmainImageIndex = i">
          </div>
        </div>
      </div>
    </div>

  </div> -->
  <!-- ------------------------------------------------------------------------------------------------------------------ -->
</div>
<!------------------------------------------------- validate === false ------------------------------------------------>

<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog " role="document">
    <div class="modal-content " style="background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>

<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>